# sodium_crypto_auth_verify

(PHP 7 >= 7.2.0, PHP 8)

sodium_crypto_auth_verify — Verifies that the tag is valid for the message

### Descripción

sodium_crypto_auth_verify(string `$mac`, string `$message`, string `$key`): bool

Verify the authentication tag is valid for a given message and key.

Unlike with digital signatures (e.g. sodium_crypto_sign_verify_detached()), any party capable of verifying a message is also capable of authenticating their own messages. (Hence, symmetric authentication.)

### Parámetros

`mac`

  Authentication tag produced by sodium_crypto_auth()

`message`

  Message

`key`

  Authentication key

### Valores devueltos

Devuelve `true` en caso de éxito o `false` en caso de error.